<?php

App::uses('EvCatalogueAppModel', 'EvCatalogue.Model');

class CatalogueItem extends EvCatalogueAppModel {

	public $belognsTo = [
		'Category'
	];

	public $actsAs = [
		'Routable.Routable' => [
			'alias' => 'catalogue/:displayField',
			'controller' => 'ev_catalogue/catalogue_items'
		],
		'MetaData.Meta'
	];

	public $imageSlots = [
		'listing' => [
			'slots' => 1,
			'fields' => [
				'alt'
			]
		],
		'catalogue_item' => [
			'slots' => -1,
			'fields' => [
				'alt'
			]
		]
	];

	public $documentSlots = [
		'pdf' => [
			'slots' => -1
		]
	];

/**
 * Gets a list of CatalogueItem names.  Useful for populating dropdowns/selects
 *
 * @return array Array of names
 */
	public function getNames() {
		$items = $this->find('all', [
			'conditions' => 'is_active'
		]);

		$names = Hash::extract($items, '{n}.CatalogueItem.name');

		return $names;
	}
}
